## cong-editor-widget3-impl

cong-editor-widget3-impl —

## Synopsis

    void        cong_editor_element_generate_areas
                                                (CongEditorNode *editor_node,
                                                 CongEditorArea *editor_area_parent);
    void        cong_element_editor_recursive_render
                                                (CongElementEditor *element_editor,
                                                 const GdkRectangle *window_rect);
    typedef     void                            ();
    void        cong_editor_node_for_each_area  (CongEditorNode *editor_node,
                                                 CongEditorAreaCallback callback,
                                                 gpointer user_data);
    CongEditorNode* cong_editor_node_dummy_new  (CongEditorWidget3 *widget,
                                                 CongNodePtr node,
                                                 const gchar *message);
    CongEditorNode* cong_editor_node_new        (CongEditorWidget3 *widget,
                                                 CongNodePtr node);
    CongEditorNode* cong_editor_node_unknown_tag_new
                                                (CongEditorWidget3 *widget,
                                                 CongNodePtr node);
    CongEditorNode* cong_editor_node_structural_tag_new
                                                (CongEditorWidget3 *widget,
                                                 CongNodePtr node);
    CongEditorNode* cong_editor_node_span_tag_new
                                                (CongEditorWidget3 *widget,
                                                 CongNodePtr node);
    CongEditorNode* cong_editor_node_text_new   (CongEditorWidget3 *widget,
                                                 CongTraversalNode *traversal_node);
    CongEditorNode* cong_editor_node_comment_new
                                                (CongEditorWidget3 *widget,
                                                 CongTraversalNode *traversal_node);

## Description

## Details

### cong_editor_element_generate_areas ()

    void        cong_editor_element_generate_areas
                                                (CongEditorNode *editor_node,
                                                 CongEditorArea *editor_area_parent);

`editor_node` : |
`editor_area_parent` : |

### cong_element_editor_recursive_render ()

    void        cong_element_editor_recursive_render
                                                (CongElementEditor *element_editor,
                                                 const GdkRectangle *window_rect);

`element_editor` : |
`window_rect` : |

### void ()

    typedef     void                            ();

Returns : |

### cong_editor_node_for_each_area ()

    void        cong_editor_node_for_each_area  (CongEditorNode *editor_node,
                                                 CongEditorAreaCallback callback,
                                                 gpointer user_data);

`editor_node` : |
`callback` : |
`user_data` : |

### cong_editor_node_dummy_new ()

    CongEditorNode* cong_editor_node_dummy_new  (CongEditorWidget3 *widget,
                                                 CongNodePtr node,
                                                 const gchar *message);

`widget` : |
`node` : |
`message` : |
Returns : |

### cong_editor_node_new ()

    CongEditorNode* cong_editor_node_new        (CongEditorWidget3 *widget,
                                                 CongNodePtr node);

`widget` : |
`node` : |
Returns : |

### cong_editor_node_unknown_tag_new ()

    CongEditorNode* cong_editor_node_unknown_tag_new
                                                (CongEditorWidget3 *widget,
                                                 CongNodePtr node);

`widget` : |
`node` : |
Returns : |

### cong_editor_node_structural_tag_new ()

    CongEditorNode* cong_editor_node_structural_tag_new
                                                (CongEditorWidget3 *widget,
                                                 CongNodePtr node);

`widget` : |
`node` : |
Returns : |

### cong_editor_node_span_tag_new ()

    CongEditorNode* cong_editor_node_span_tag_new
                                                (CongEditorWidget3 *widget,
                                                 CongNodePtr node);

`widget` : |
`node` : |
Returns : |

### cong_editor_node_text_new ()

    CongEditorNode* cong_editor_node_text_new   (CongEditorWidget3 *widget,
                                                 CongTraversalNode *traversal_node);

TODO: Write me

`widget` : |
`traversal_node` : |
Returns : |

### cong_editor_node_comment_new ()

    CongEditorNode* cong_editor_node_comment_new
                                                (CongEditorWidget3 *widget,
                                                 CongTraversalNode *traversal_node);

TODO: Write me

`widget` : |
`traversal_node` : |
Returns : |